Atozed Forums
How to Install indy 9 in delphi Rad Studio 10.1 Berlin - Printable Version

+- Atozed Forums (https://www.atozed.com/forums)
+-- Forum: Indy (https://www.atozed.com/forums/forum-8.html)
+--- Forum: Indy General Discussion (https://www.atozed.com/forums/forum-9.html)
+--- Thread: How to Install indy 9 in delphi Rad Studio 10.1 Berlin (/thread-1637.html)



How to Install indy 9 in delphi Rad Studio 10.1 Berlin - Akash Bansod - 04-24-2020

Hi,

We have a project which uses indy 9 on delphi 2009.
We recently migrated this project to Delphi Rad Studio 10.1 Berlin with indy 10. Now, We are facing a lot of issues. Is there anyway to install indy 9 in Delphi 10.1?


Thanks


RE: How to Install indy 9 in delphi Rad Studio 10.1 Berlin - rlebeau - 04-24-2020

(04-24-2020, 11:19 AM)Akash Bansod Wrote: We have a project which uses indy 9 on delphi 2009.

Why? Indy 9 never supported Delphi 2009, and IIRC Delphi 2009 shipped with Indy 10 pre-installed. So why weren't you using Indy 10 to begin with? The last Delphi version that Indy 9 officially supported was Delphi 2007, before Delphi's migration to Unicode in 2009.

(04-24-2020, 11:19 AM)Akash Bansod Wrote: We recently migrated this project to Delphi Rad Studio 10.1 Berlin with indy 10. Now, We are facing a lot of issues.

Not surprising, given that Indy 10 made a lot of interface changes that are not backwards compatible with Indy 9.

(04-24-2020, 11:19 AM)Akash Bansod Wrote: Is there anyway to install indy 9 in Delphi 10.1?

I strongly advise against that. Indy 9 does not support 10.1, just like it doesn't support 2009. You really should upgrade your project to Indy 10.

That being said, if you really want to use Indy 9, you will have to first uninstall Indy 10 from the IDE, remove Indy 10's sources and binaries from search paths, and then manually create and install new Delphi 10.1 runtime and designtime packages for Indy 9 since it doesn't have any for 10.1.